=== debian/changelog ===
ck (0.4.4-2) unstable; urgency=low

  * Update maintainer to Debian QA up (orphaning the package)

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 19 Dec 2016 10:07:18 +0100

ck (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 10 Sep 2014 22:16:03 +0200

ck (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 02 Aug 2014 16:28:29 +0200

ck (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes some build issues for non-Intel platforms.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 02 May 2014 09:17:48 +0200

ck (0.3.5-1) unstable; urgency=low

  * Initial packaging (Closes: #740392)

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 28 Feb 2014 23:48:09 +0100
