=== debian/control ===
Source: ck
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://concurrencykit.org/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ck.git
Vcs-Git: git://anonscm.debian.org/collab-maint/ck.git

Package: libck0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Concurrency Kit - shared libraries
 Concurrency primitives, safe memory reclamation mechanisms and
 non-blocking data structures designed to aid in the research,
 design and implementation of high performance concurrent systems.

Package: libck-dev
Section: libdevel
Architecture: any
Depends: libck0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Concurrency Kit - development files
 Concurrency primitives, safe memory reclamation mechanisms and
 non-blocking data structures designed to aid in the research,
 design and implementation of high performance concurrent systems.
 .
 This package provides header files needed by developers.
