=== debian/changelog ===
ck (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2 (Closes: #813145)
  * debian/control: Update Maintainer (Closes: #848656)
  * debian/control: Use HTTPS Vcs-* URLs
  * debian/control: Standards-Version 3.9.8 (no changes)
  * debian/control: Build-Depend on debhelper 10
  * debian/compat: Compat level 10
  * debian/copyright: BSD -> BSD-2-clause (Fixes Lintian
    "invalid-short-name-in-dep5-copyright")
  * debian/copyright: Remove Source header (dead link)
  * debian/copyright: Correct path to include/gcc/x86_64/ck_pr_rtm.h (Fixes
    Lintian "wildcard-matches-nothing-in-dep5-copyright ck_pr_rtm",
    "unused-file-paragraph-in-dep5-copyright")
  * debian/watch: Add watch file for GitHub releases
  * debian/source/: Use 3.0 (quilt) source format, plus options and patch
    header

 -- Robert Edmonds <edmonds@debian.org>  Wed, 21 Dec 2016 18:59:51 -0500
