=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ck
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Maintainer: Robert Edmonds <edmonds@debian.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 Homepage: http://concurrencykit.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ck.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ck.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ck.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ck.git
 
 Package: libck0
 Architecture: any
@@ -27,5 +27,3 @@
  design and implementation of high performance concurrent systems.
  .
  This package provides header files needed by developers.
-
-
