=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	./configure --includedir=/usr/include --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --prefix=/usr

%:
	dh $@

.PHONY: build
