## ck 0.6.0

=== regressions/Makefile ===
--- 
+++ 
@@ -9,15 +9,19 @@
     fifo	\
     hp		\
     hs		\
+    rhs		\
     ht		\
     pflock	\
     pr		\
     queue	\
     ring	\
     rwlock	\
+    swlock	\
     sequence	\
     spinlock	\
-    stack
+    stack	\
+    swlock	\
+    tflock
 
 .PHONY: all clean check
 
@@ -40,6 +44,8 @@
 	$(MAKE) -C ./ck_pr/benchmark all
 	$(MAKE) -C ./ck_hs/benchmark all
 	$(MAKE) -C ./ck_hs/validate all
+	$(MAKE) -C ./ck_rhs/benchmark all
+	$(MAKE) -C ./ck_rhs/validate all
 	$(MAKE) -C ./ck_barrier/validate all
 	$(MAKE) -C ./ck_barrier/benchmark all
 	$(MAKE) -C ./ck_bytelock/validate all
@@ -55,6 +61,10 @@
 	$(MAKE) -C ./ck_ring/benchmark all
 	$(MAKE) -C ./ck_rwlock/validate all
 	$(MAKE) -C ./ck_rwlock/benchmark all
+	$(MAKE) -C ./ck_tflock/validate all
+	$(MAKE) -C ./ck_tflock/benchmark all
+	$(MAKE) -C ./ck_swlock/validate all
+	$(MAKE) -C ./ck_swlock/benchmark all
 	$(MAKE) -C ./ck_pflock/validate all
 	$(MAKE) -C ./ck_pflock/benchmark all
 	$(MAKE) -C ./ck_hp/validate all
@@ -64,6 +74,8 @@
 	$(MAKE) -C ./ck_array/validate clean
 	$(MAKE) -C ./ck_pflock/validate clean
 	$(MAKE) -C ./ck_pflock/benchmark clean
+	$(MAKE) -C ./ck_tflock/validate clean
+	$(MAKE) -C ./ck_tflock/benchmark clean
 	$(MAKE) -C ./ck_rwcohort/validate clean
 	$(MAKE) -C ./ck_rwcohort/benchmark clean
 	$(MAKE) -C ./ck_backoff/validate clean
@@ -76,6 +88,8 @@
 	$(MAKE) -C ./ck_ht/benchmark clean
 	$(MAKE) -C ./ck_hs/validate clean
 	$(MAKE) -C ./ck_hs/benchmark clean
+	$(MAKE) -C ./ck_rhs/validate clean
+	$(MAKE) -C ./ck_rhs/benchmark clean
 	$(MAKE) -C ./ck_brlock/benchmark clean
 	$(MAKE) -C ./ck_spinlock/validate clean
 	$(MAKE) -C ./ck_spinlock/benchmark clean
@@ -96,6 +110,8 @@
 	$(MAKE) -C ./ck_ring/benchmark clean
 	$(MAKE) -C ./ck_rwlock/validate clean
 	$(MAKE) -C ./ck_rwlock/benchmark clean
+	$(MAKE) -C ./ck_swlock/validate clean
+	$(MAKE) -C ./ck_swlock/benchmark clean
 	$(MAKE) -C ./ck_pflock/validate clean
 	$(MAKE) -C ./ck_pflock/benchmark clean
 	$(MAKE) -C ./ck_hp/validate clean
