=== regressions/ck_brlock/validate/Makefile ===
.PHONY: check clean distribution

OBJECTS=validate

all: $(OBJECTS)

validate: validate.c ../../../include/ck_brlock.h
	$(CC) $(CFLAGS) -o validate validate.c

check: all
	./validate $(CORES) 1

clean:
	rm -rf *.dSYM *.exe *~ *.o $(OBJECTS)

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE
