=== debian/changelog ===
ck (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Robert Edmonds <edmonds@debian.org>  Fri, 10 Mar 2017 18:38:50 -0500

ck (0.5.2-2) unstable; urgency=medium

  * debian/control: Only build on architectures supported by upstream
  * debian/rules: Limit tests to 2 cores (Closes: #764827)
  * debian/gbp.conf: New (enable pristine-tar, pristine-tar-commit)

 -- Robert Edmonds <edmonds@debian.org>  Thu, 29 Dec 2016 16:59:42 -0500
