=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ck.git
 
 Package: libck0
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Concurrency Kit - shared libraries
@@ -19,7 +19,7 @@
 
 Package: libck-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el
 Depends: libck0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Concurrency Kit - development files
  Concurrency primitives, safe memory reclamation mechanisms and
