=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/concurrencykit/ck/releases .*/v?(\d\S+)\.tar\.gz
