=== debian/changelog ===
ck (0.7.1-6ubuntu2) jammy; urgency=medium

  * debian/patches/armhf-with-fp.patch: do not hard-code CPU target
    based on uname.  Closes: #1009622.
  * drop -march target override, since this didn't work and now isn't needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Apr 2022 15:11:47 +0000

ck (0.7.1-6ubuntu1) jammy; urgency=medium

  * Set correct -march target on armhf for use of fp registers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Apr 2022 06:33:30 +0000

ck (0.7.1-6) sid; urgency=medium

  * Uploading to sid.
  * Running test-suite only on fast-enough architectures (amd64, arm64,
    i386).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 31 Oct 2021 02:46:17 +0200

ck (0.7.1-5) sid; urgency=medium

  * Uploading to sid.
  * Skipping failing test-suite on mipsel and mips64el.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Oct 2021 07:06:55 +0200

ck (0.7.1-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Fixing baseline violations on armel and i386, thanks to Adrian Bunk
    <bunk@debian.org> (Closes: #993010).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 27 Aug 2021 04:33:50 +0200

ck (0.7.1-3) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:21:16 +0200

ck (0.7.1-2) experimental; urgency=medium

  * Uploading to experimental.
  * Switching architecture to linux-any to exclude hurd and kfreebsd (both
    FTBFS).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 06:12:58 +0200

ck (0.7.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.7.1 (Closes: #991419).
  * Updating to debhelper version 13.
  * Updating to standards version 4.5.1.
  * Building ck on any architecture (Closes: #743752, #750998).
  * Removing gbp.conf.
  * Adding rules-requires-root field.
  * Removing trailing slash in homepage field.
  * Repeating section field for all binary packages for consistency
    reasons.
  * Adding multi-arch field for libck-dev.
  * Updating package descriptions.
  * Updating and reformating copyright file.
  * Shortening debhelper install files.
  * Updating watch file.
  * Streamlining rules file.
  * Removing old dpkg-source files.
  * Removing allow-disable-sse.patch, included upstream.
  * Removing glibc-2.30.patch, included upstream.
  * Wrap and sorting debian directory.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 23 Jul 2021 13:59:39 +0200

ck (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * New maintainer (Closes: #991427), thanks to Robert for his past work.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 23 Jul 2021 13:25:19 +0200

ck (0.6.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly set the platform option when building for armhf
    rather than rely on the configure script's autodetection.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 04 Apr 2020 05:20:03 +0000

ck (0.6.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream commit b520d58 to fix build failure against
    glibc 2.30; patch provided by Logan Rosen. (Closes: #951384)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 27 Mar 2020 10:14:22 +0000

ck (0.6.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to disable SSE on x86. (Closes: #906697)

 -- Dominik George <natureshadow@debian.org>  Thu, 21 Nov 2019 09:38:52 +0100

ck (0.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Niels Thykier to fix FTBFS with
    debhelper >= 11.1. (Closes: #888591)

 -- Adrian Bunk <bunk@debian.org>  Sat, 24 Feb 2018 21:32:28 +0200
