=== debian/control ===
Source: ck
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: http://concurrencykit.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ck
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ck

Package: libck-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 libck0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Concurrency Kit (development)
 The Concurrency Kit library implements concurrency primitives, safe memory
 reclamation mechanisms and non-blocking data structures for the research,
 design and implementation of high performance concurrent systems.
 .
 This package contains the development files.

Package: libck0
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Concurrency Kit (library)
 The Concurrency Kit library implements concurrency primitives, safe memory
 reclamation mechanisms and non-blocking data structures for the research,
 design and implementation of high performance concurrent systems.
 .
 It features atomic operations, hardware transactional memory, memory barriers,
 hash tables, list, ring, stack, fifo, bitmap, safe memory reclamation,
 scalable locks, execution barriers, asymmetric synchronization and more.
